Skip Menu |
 

This queue is for tickets about the Chart CPAN distribution.

Report information
The Basics
Id: 79658
Status: open
Priority: 0/
Queue: Chart

People
Owner: Nobody in particular
Requestors: lpsolit [...] gmail.com
Cc: ether [...] cpan.org
tmannerm [...] cpan.org
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: defined(@array) is deprecated in Perl 5.16
Date: Sat, 15 Sep 2012 02:12:56 +0200
To: bug-Chart [...] rt.cpan.org
From: "Frédéric Buclin" <lpsolit [...] gmail.com>
Download (untitled) / with headers
text/plain 414b
When using Chart::Base with Perl 5.16.1, we get: defined(@array) is deprecated at lib/Chart/Base.pm line 181. (Maybe you should just omit the defined()?) defined(@array) is deprecated at lib/Chart/Base.pm line 233. (Maybe you should just omit the defined()?) The culprit lines are: @data = @$rdata if defined @$rdata; It should be: @data = @$rdata if @$rdata; or: @data = @$rdata if scalar @$rdata;
Download (untitled) / with headers
text/plain 577b
On 2012-09-14 20:13:12, lpsolit@gmail.com wrote: Show quoted text
> When using Chart::Base with Perl 5.16.1, we get: > > defined(@array) is deprecated at lib/Chart/Base.pm line 181. > (Maybe you should just omit the defined()?) > defined(@array) is deprecated at lib/Chart/Base.pm line 233. > (Maybe you should just omit the defined()?) > > The culprit lines are: > > @data = @$rdata if defined @$rdata; > > It should be: > > @data = @$rdata if @$rdata; > > or: > > @data = @$rdata if scalar @$rdata;
With even newer perls (5.21.x) this is not anymore a warning, but an error.
Download (untitled) / with headers
text/plain 653b
Hello, Chart Version 2.4.8 has resolved this issue. Please, download it Chart-2.4.8 and test it. I would appreciate a report. Tnanks Chartgrp Am Fr 14. Sep 2012, 20:13:12, lpsolit@gmail.com schrieb: Show quoted text
> When using Chart::Base with Perl 5.16.1, we get: > > defined(@array) is deprecated at lib/Chart/Base.pm line 181. > (Maybe you should just omit the defined()?) > defined(@array) is deprecated at lib/Chart/Base.pm line 233. > (Maybe you should just omit the defined()?) > > The culprit lines are: > > @data = @$rdata if defined @$rdata; > > It should be: > > @data = @$rdata if @$rdata; > > or: > > @data = @$rdata if scalar @$rdata;
Download (untitled) / with headers
text/plain 653b
Hello, Chart Version 2.4.8 has resolved this issue. Please, download it Chart-2.4.8 and test it. I would appreciate a report. Tnanks Chartgrp Am Fr 14. Sep 2012, 20:13:12, lpsolit@gmail.com schrieb: Show quoted text
> When using Chart::Base with Perl 5.16.1, we get: > > defined(@array) is deprecated at lib/Chart/Base.pm line 181. > (Maybe you should just omit the defined()?) > defined(@array) is deprecated at lib/Chart/Base.pm line 233. > (Maybe you should just omit the defined()?) > > The culprit lines are: > > @data = @$rdata if defined @$rdata; > > It should be: > > @data = @$rdata if @$rdata; > > or: > > @data = @$rdata if scalar @$rdata;
2.4.8 has not been released it seems.
Subject: Re: [rt.cpan.org #79658] defined(@array) is deprecated in Perl 5.16
Date: Wed, 03 Dec 2014 08:03:33 +0100
To: bug-Chart [...] rt.cpan.org
From: "R.Dassing" <dassing [...] fs.wettzell.de>
Download (untitled) / with headers
text/plain 299b
Hello, the URL http://search.cpan.org/~chartgrp/Chart-2.4.8/ shows the release. Regards, Chartgrp Am 03.12.2014 um 01:27 schrieb Dylan William Hardison via RT: Show quoted text
> Queue: Chart > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=79658 > > > 2.4.8 has not been released it seems. >
Download smime.p7s
application/pkcs7-signature 4.6k

Message body not shown because it is not plain text.

Subject: [rt.cpan.org #79658] defined(@array) is deprecated in Perl 5.16
Date: Sat, 17 Jan 2015 17:50:13 +0100
To: bug-Chart [...] rt.cpan.org
From: "Frédéric Buclin" <lpsolit [...] gmail.com>
Download (untitled) / with headers
text/plain 394b
http://search.cpan.org/~chartgrp/Chart-2.4.8/ indeed shows the release, but when using 'cpan' to install it, you get: cpan[1]> install Chart::Lines Reading '/root/.cpan/Metadata' Database was generated on Sat, 17 Jan 2015 16:29:02 GMT Chart::Lines is up to date (2.4.6). It reports 2.4.6 as being the latest release, not 2.4.8. So it looks like 2.4.8 hasn't been pushed correctly to CPAN.
Download (untitled) / with headers
text/plain 352b
On Sat Jan 17 11:50:28 2015, lpsolit@gmail.com wrote: Show quoted text
> It reports 2.4.6 as being the latest release, not 2.4.8. So it looks > like 2.4.8 hasn't been pushed correctly to CPAN.
There is something wrong with the dist, I'm investigating. The most telling sign is that the dist does not show up in https://cpan.metacpan.org/modules/02packages.details.txt
Download (untitled) / with headers
text/plain 767b
On 2015-02-02 09:50:26, DHARDISON wrote: Show quoted text
> On Sat Jan 17 11:50:28 2015, lpsolit@gmail.com wrote:
> > It reports 2.4.6 as being the latest release, not 2.4.8. So it looks > > like 2.4.8 hasn't been pushed correctly to CPAN.
> > There is something wrong with the dist, I'm investigating. The most > telling sign is that the dist does not show up in > https://cpan.metacpan.org/modules/02packages.details.txt
The key is in the email that PAUSE sent back to the author when the tarball was uploaded -- but only the author (and the PAUSE admins) can view that. Issues that I can see: - there is no Chart.pm (PAUSE now requires that there be a module that matches the name of the dist) - many other tooling issues as listed here: http://cpants.cpanauthors.org/dist/Chart
Subject: Re: [rt.cpan.org #79658] defined(@array) is deprecated in Perl 5.16
Date: Tue, 03 Feb 2015 13:45:47 +0100
To: bug-Chart [...] rt.cpan.org
From: chart <chart [...] fs.wettzell.de>
Download (untitled) / with headers
text/plain 1.1k
Hello Karen, by using the program 'cpan' I recognized that the MD5 checksums did not match for the last upload. I will retry it with a new version within the next days. I hope this will solve the problem. Regards Reiner CHARTGRP Am 02.02.2015 um 19:31 schrieb Karen Etheridge via RT: Show quoted text
> Queue: Chart > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=79658 > > > On 2015-02-02 09:50:26, DHARDISON wrote:
>> On Sat Jan 17 11:50:28 2015, lpsolit@gmail.com wrote:
>>> It reports 2.4.6 as being the latest release, not 2.4.8. So it looks >>> like 2.4.8 hasn't been pushed correctly to CPAN.
>> There is something wrong with the dist, I'm investigating. The most >> telling sign is that the dist does not show up in >> https://cpan.metacpan.org/modules/02packages.details.txt
> The key is in the email that PAUSE sent back to the author when the tarball was uploaded -- but only the author (and the PAUSE admins) can view that. > > Issues that I can see: > - there is no Chart.pm (PAUSE now requires that there be a module that matches the name of the dist) > - many other tooling issues as listed here: http://cpants.cpanauthors.org/dist/Chart
Subject: Re: [rt.cpan.org #79658] defined(@array) is deprecated in Perl 5.16
Date: Tue, 03 Feb 2015 13:46:19 +0100
To: bug-Chart [...] rt.cpan.org
From: chart <chart [...] fs.wettzell.de>
Download (untitled) / with headers
text/plain 767b
Hello Dylan William Hardison, by using the program 'cpan' I recognized that the MD5 checksums did not match for the last upload. I will retry it with a new version within the next days. I hope this will solve the problem. Regards Reiner CHARTGRP Am 02.02.2015 um 18:50 schrieb Dylan William Hardison via RT: Show quoted text
> Queue: Chart > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=79658 > > > On Sat Jan 17 11:50:28 2015, lpsolit@gmail.com wrote:
>> It reports 2.4.6 as being the latest release, not 2.4.8. So it looks >> like 2.4.8 hasn't been pushed correctly to CPAN.
> There is something wrong with the dist, I'm investigating. The most telling sign is that the dist does not show up in https://cpan.metacpan.org/modules/02packages.details.txt >
Subject: Re: [rt.cpan.org #79658] defined(@array) is deprecated in Perl 5.16
Date: Sat, 07 Feb 2015 12:59:42 +0100
To: bug-Chart [...] rt.cpan.org
From: "Frédéric Buclin" <lpsolit [...] gmail.com>
Download (untitled) / with headers
text/plain 137b
Chart 2.4.9 doesn't fix the problem. http://www.cpan.org/modules/02packages.details.txt still lists 2.4.6 as being the latest version.
RT-Send-CC: dassing [...] fs.wettzell.de, chart [...] fs.wettzell.de
Download (untitled) / with headers
text/plain 416b
On 2015-02-07 04:00:11, lpsolit@gmail.com wrote: Show quoted text
> Chart 2.4.9 doesn't fix the problem. > > http://www.cpan.org/modules/02packages.details.txt still lists 2.4.6 as > being the latest version.
Chart-2.4.9 does not contain a Chart.pm, which is necessary for proper PAUSE indexing. This error should have been evident in the email that PAUSE sends after processing the upload -- did you (the author) get the email?
Subject: Re: [rt.cpan.org #79658] defined(@array) is deprecated in Perl 5.16
Date: Mon, 09 Feb 2015 08:23:02 +0100
To: bug-Chart [...] rt.cpan.org
From: chart <chart [...] fs.wettzell.de>
Download (untitled) / with headers
text/plain 1.1k
Hi, The upload of new module Chart failed. This problem was reported to modules@perl.org. I got the following answer from Neil Browers (modules@perl.org): The 'problem' is that PAUSE now considers package names case-insensitively when resolving permissions. The Finance::Quant module defines a package ‘chart’, so SANTEX got ownership of ‘chart’, and now when you try to upload something with ‘Chart’, it’s the same permission that’s being checked. And because someone else has permission for that package, the indexing step fails. I’ll raise an issue on Finance-Quant, and ask Hagen to refactor his dist to use package names under Finance::Quant::*. Once he’s done that he’ll need to delete all releases from CPAN that contain the ‘chart’ package, then free up the permission or transfer it to you. Please bear with us while I try to get this resolved as quickly as possible. Neil Am 07.02.2015 um 13:00 schrieb Frédéric Buclin via RT: Show quoted text
> Queue: Chart > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=79658 > > > Chart 2.4.9 doesn't fix the problem. > > http://www.cpan.org/modules/02packages.details.txt still lists 2.4.6 as > being the latest version. > >


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.